﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

namespace BearWare.PixlrGadget.Models
{
    public class FileInfo
    {
        public Guid GadgetId { get; set; }
        public string FilePath { get; set; }
        public string SavedFilePath { get; set; }
        public string TargetFolder { get; set; }
        public bool SaveAsNew { get; set; }

        public FileInfo()
        {
        }

        public FileInfo(Guid gadgetId)
        {
            GadgetId = gadgetId;
        }

        public FileInfo(Guid gadgetId, string filePath, string savedFilePath, string targetFolder, bool saveAsNew)
        {
            GadgetId = gadgetId;
            FilePath = filePath;
            SavedFilePath = savedFilePath;
            TargetFolder = targetFolder;
            SaveAsNew = SaveAsNew;
        }
    }
}